import { booleanConverter } from "@nativescript/core/ui/core/view-base";
import { Property } from "@nativescript/core/ui/core/properties";
import { MLKitCameraView } from "../mlkit-cameraview";
export const reportDuplicatesProperty = new Property({
    name: "reportDuplicates",
    defaultValue: false,
    valueConverter: booleanConverter
});
export class MLKitTextRecognition extends MLKitCameraView {
    [reportDuplicatesProperty.setNative](value) {
        this.reportDuplicates = value;
    }
}
MLKitTextRecognition.scanResultEvent = "scanResult";
reportDuplicatesProperty.register(MLKitTextRecognition);
